Package: org.codehaus.groovy.reflection

## [Java] Class CachedMethod

- org.codehaus.groovy.reflection.CachedMethod

- All Implemented Interfaces and Traits:
    Comparable

      public class CachedMethod
      extends MetaMethod

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CachedMethod[]` | `EMPTY_ARRAY` |
    `CachedClass` | `cachedClass` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedMethod (CachedClass clazz, Method method)`
    `CachedMethod (Method method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `canAccessLegally(Class<?> callerClass)`
    `` | `int` | `compareTo(Object o)`
    `` | `CallSite` | `createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
    `` | `CallSite` | `createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
    `` | `CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
    `` | `boolean` | `equals(Object o)`
    `` | `static CachedMethod` | `find(Method method)`
    `` | `T` | `getAnnotation(Class<T> annotationClass)`
    `` | `Method` | `getCachedMethod()`
    `` | `CachedClass` | `getDeclaringClass()`
    `` | `String` | `getDescriptor()`
    `` | `int` | `getModifiers()`
    `` | `String` | `getName()`
    `` | `Class[]` | `getPT()`
    `` | `ParameterTypes` | `getParamTypes()`
    `` | `int` | `getParamsCount()`
    `` | `Class` | `getReturnType()`
    `` | `String` | `getSignature()`
    `` | `CachedMethod` | `getTransformedMethod()`
    `` | `int` | `hashCode()`
    `` | `Object` | `invoke(Object object, Object[] arguments)`
    `` | `boolean` | `isStatic()`
    `` | `boolean` | `isSynthetic()`
    `` | `Method` | `setAccessible()`
    `` | `void` | `setTransformedMethod(CachedMethod transformedMethod)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Field Detail

    - #### public static final CachedMethod[] EMPTY_ARRAY

    - #### public final CachedClass cachedClass

  - ### Constructor Detail

    - #### public CachedMethod(CachedClass clazz, Method method)

    - #### public CachedMethod(Method method)

  - ### Method Detail

    - #### public boolean canAccessLegally(Class<?> callerClass)

    - #### public int compareTo(Object o)

    - #### public CallSite createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

    - #### public CallSite createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

    - #### public CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

    - #### public boolean equals(Object o)

    - #### public static CachedMethod find(Method method)

    - #### public T getAnnotation(Class<T> annotationClass)

    - #### public Method getCachedMethod()

    - #### public CachedClass getDeclaringClass()

    - #### public String getDescriptor()

    - #### public int getModifiers()

    - #### public String getName()

    - #### public Class[] getPT()

    - #### public ParameterTypes getParamTypes()

    - #### public int getParamsCount()

    - #### public Class getReturnType()

    - #### public String getSignature()

    - #### public CachedMethod getTransformedMethod()

    - #### public int hashCode()

    - #### public final Object invoke(Object object, Object[] arguments)

    - #### public boolean isStatic()

    - #### public boolean isSynthetic()

    - #### public final Method setAccessible()

    - #### public void setTransformedMethod(CachedMethod transformedMethod)

    - #### public String toString()